Skip to main content
POST
/
cloud
/
v4
/
gpu
/
baremetal
/
{project_id}
/
{region_id}
/
clusters
/
{cluster_id}
/
servers
/
{server_id}
/
rebuild
Rebuild bare metal GPU cluster server
curl --request POST \
  --url https://api.gcore.com/cloud/v4/gpu/baremetal/{project_id}/{region_id}/clusters/{cluster_id}/servers/{server_id}/rebuild \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "image_id": "ded40aad-505c-463b-aa59-8f5f455d1b6f",
  "ssh_key_name": "my-ssh-key",
  "user_data": "eyJ0ZXN0IjogImRhdGEifQ=="
}
'
{
  "tasks": [
    "d478ae29-dedc-4869-82f0-96104425f565"
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

server_id
string<uuid4>
required

Server unique identifier

Example:

"f1c1eeb6-1834-48c9-a7b0-daafce64872b"

Body

application/json
image_id
string<uuid4>

New or existing image to rebuild the node with. Omit to keep the cluster's current image.

Example:

"ded40aad-505c-463b-aa59-8f5f455d1b6f"

ssh_key_name
string

New or existing SSH keypair name. Omit to keep the cluster's current SSH key.

Minimum string length: 1
Example:

"my-ssh-key"

user_data
string

New or existing user data (Base64-encoded). Omit to keep the cluster's current user data.

Example:

"eyJ0ZXN0IjogImRhdGEifQ=="

Response

200 - application/json

OK

tasks
string[]
required

List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:

  • GET /v1/tasks/{task_id} - Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]